/*****************************************************************************
  FILE           : trans_f.h
  SHORTNAME      : 
  SNNS VERSION   : 3.2

  PURPOSE        : SNNS-Kernel transfer functions
  NOTES          :

  AUTHOR         : Niels Mache
  DATE           : 25.06.90

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)trans_f.h	1.13 3/15/94
  SCCS VERSION   : 1.13
  LAST CHANGE    : 3/15/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _TRANS_F_DEFINED_
#define  _TRANS_F_DEFINED_


extern FlintType  OUTP_Identity(register FlintType activation);
extern FlintType  OUT_Clip_01(register FlintType activation);
extern FlintType  OUT_Clip_11(register FlintType activation);
extern FlintType  OUT_Threshold05(register FlintType activation);
extern FlintType   ACT_Linear(struct Unit *unit_ptr);
extern FlintType   ACT_BSBFunction(struct Unit *unit_ptr);
extern FlintType   ACT_MinOutPlusWeight(struct Unit *unit_ptr);
extern FlintType   ACT_TanHFunction(struct Unit *unit_ptr);
extern FlintType   ACT_TanHFunctionPlusBias(struct Unit *unit_ptr);
extern FlintType   ACT_TanHFunction_Xdiv2(struct Unit *unit_ptr);
extern FlintType   ACT_Logistic(struct Unit *unit_ptr);
extern FlintType   ACT_Elliott(struct Unit *unit_ptr);
extern FlintType   ACT_Perceptron(struct Unit *unit_ptr);
extern FlintType   ACT_Signum(struct Unit *unit_ptr);
extern FlintType   ACT_Signum0(struct Unit *unit_ptr);
extern FlintType   ACT_StepFunction(struct Unit *unit_ptr);
extern FlintType   ACT_HystStepFunction(struct Unit *unit_ptr);
extern FlintType   ACT_BAMFunction(struct Unit *unit_ptr);
extern FlintType   ACT_RM (struct Unit *unit_ptr);
extern FlintType   ACT_LogisticI(struct Unit *unit_ptr);
extern FlintType RbfUnitGetNormsqr(struct Unit *unit_ptr);
extern FlintType   ACT_RBF_Gaussian(struct Unit *unit_ptr);
extern FlintType ACT_RBF_Multiquadratic(struct Unit *unit_ptr);
extern FlintType ACT_RBF_Thinplatespline(struct Unit *unit_ptr);
extern FlintType   ACT_Linear_bias(struct Unit *unit_ptr);
extern FlintType  ACT_at_least_2 (struct Unit *unit_ptr);
extern FlintType  ACT_less_than_0 (struct Unit *unit_ptr);
extern FlintType  ACT_at_least_1 (struct Unit *unit_ptr);
extern FlintType  ACT_at_most_0 (struct Unit *unit_ptr);
extern FlintType  ACT_Product (struct Unit *unit_ptr);
extern FlintType  ACT_exactly_1 (struct Unit *unit_ptr);
extern FlintType   ACT_TD_Logistic(struct Unit *unit_ptr);
extern FlintType   ACT_TD_Elliott(struct Unit *unit_ptr);
extern FlintType   ACT_Euclid(struct Unit *unit_ptr);
extern FlintType   ACT_Component(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_Logistic(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_Elliott(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_TD_Logistic(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_TD_Elliott(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_Identity(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_BSBFunction(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_TanHFunction(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_TanHFunction_Xdiv2(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_Dummy(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_RBF_Gaussian(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_RBF_Multiquadratic(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_RBF_Thinplatespline(struct Unit *unit_ptr);
extern FlintType  SITE_WeightedSum(struct Site *site_ptr);
extern FlintType  SITE_Product(struct Site *site_ptr);
extern FlintType  SITE_ProductA(struct Site *site_ptr);
extern FlintType  SITE_Max(struct Site *site_ptr);
extern FlintType  SITE_Min(struct Site *site_ptr);
extern FlintType  SITE_at_least_2 (struct Site *site_ptr);
extern FlintType  SITE_at_least_1 (struct Site *site_ptr);
extern FlintType  SITE_at_most_0 (struct Site *site_ptr);
extern FlintType  SITE_Reciprocal_WeightedSum (struct Site *site_ptr);
extern FlintType   ACT_LogisticSym(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_LogisticSym(struct Unit *unit_ptr);
extern FlintType   ACT_DERIV_tanh(struct Unit *unit_ptr);
extern FlintType   ACT_RCC_Logistic(struct Unit *unit_ptr);
extern FlintType   ACT_RCC_LogisticSym(struct Unit *unit_ptr);
extern FlintType   ACT_RCC_Tanh(struct Unit *unit_ptr);
extern FlintType   ACT_RCC_Linear(struct Unit *unit_ptr);
extern void kohonen_SetExtraParameter(int x);




#endif 

/* 82 lines generated by deleteprivatedefinitions.awk */
